<?
/**
 * VoiceOne Webservices Declarations
 *   
 * @package voiceone_webservices
 * @subpackage Backup
 */
// ---- Backup -----------------------------------------------------------------
$server->wsdl->addComplexType(
    'Backup',
    'complexType',
    'struct',
    'all',
    '',
    array(
        'name'  	 => array('name'=>'name', 		'type'=>'xsd:string'),
        'label'  	 => array('name'=>'label', 	  'type'=>'xsd:string'),
        'revision' => array('name'=>'revision', 'type'=>'xsd:string'),
        'date'  	 => array('name'=>'date', 		'type'=>'xsd:int'),
        'size'  	 => array('name'=>'size', 		'type'=>'xsd:int')
    )
);
// ---- Backup[] ---------------------------------------------------------------
$server->wsdl->addComplexType(
    'BackupArray',
    'complexType',
    'array',
    '',
    'SOAP-ENC:Array',
    array(),
    array(
        array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:Backup[]')
    ),
    'tns:Backup'
);
?>